Skip to main content
GET
/
payees
/
{payee_id}
Retrieve a payee
curl --request GET \
  --url https://api.withacclaim.com/v1/payees/{payee_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pyee_KfIuLz83Ya",
  "given_name": "John",
  "family_name": "Doe",
  "middle_name": "<string>",
  "name": "<string>",
  "identifier": "PYEE-2025-001",
  "email": "jsmith@example.com",
  "phone": "<string>",
  "company": "<string>",
  "entity_type": "Individual",
  "address": {
    "country": "US",
    "address1": "123 Main St",
    "address2": "Suite 100",
    "city": "New York",
    "state": "NY",
    "postal_code": "10001"
  },
  "active": true,
  "status": "Active",
  "preferred_language": "<string>",
  "metadata": {
    "custom_field": "value",
    "source": "api"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payee_id
string
required

ID of the payee.

Response

The payee.

id
string
Example:

"pyee_KfIuLz83Ya"

given_name
string
Example:

"John"

family_name
string
Example:

"Doe"

middle_name
string | null
name
string
identifier
string
Example:

"PYEE-2025-001"

email
string<email> | null
phone
string | null

E.164 formatted phone number

company
string | null
entity_type
enum<string>
Available options:
Individual,
Company
Example:

"Individual"

address
object
active
boolean
Example:

true

status
enum<string>

Current status of the payee based on information completeness and active state

Available options:
Active,
MissingInfo,
Inactive
Example:

"Active"

preferred_language
string | null

BCP 47 language tag (e.g. en, en-US)

Maximum string length: 20
metadata
object

Optional metadata as key-value pairs

Example:
{ "custom_field": "value", "source": "api" }
created_at
string<date-time>
updated_at
string<date-time>
Last modified on April 16, 2026